Package org.eclipse.cdt.core.model

# Interface IIncludeEntry

All Superinterfaces:
  `IPathEntry`

public interface IIncludeEntry extends IPathEntry

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.model.IPathEntry

`CDT_CONTAINER, CDT_INCLUDE, CDT_INCLUDE_FILE, CDT_LIBRARY, CDT_MACRO, CDT_MACRO_FILE, CDT_OUTPUT, CDT_PROJECT, CDT_SOURCE`

## Method Summary

Modifier and Type
Method
Description
`char[][]`
`fullExclusionPatternChars()`
Returns a char based representation of the exclusions patterns full path.
`org.eclipse.core.runtime.IPath`
`getBasePath()`
Return the base path of the includePath
`org.eclipse.core.runtime.IPath`
`getBaseReference()`
Return the reference path
`org.eclipse.core.runtime.IPath[]`
`getExclusionPatterns()`
If isRecursive() is true, specify an exclude file patterns.
`org.eclipse.core.runtime.IPath`
`getFullIncludePath()`
Return the includePath with the base path.
`org.eclipse.core.runtime.IPath`
`getIncludePath()`
Returns the include path
`boolean`
`isSystemInclude()`
Whether or not it a system include path

### Methods inherited from interface org.eclipse.cdt.core.model.IPathEntry

`getEntryKind, getPath, isExported`

## Method Details

### getIncludePath

org.eclipse.core.runtime.IPath getIncludePath()
Returns the include path

Returns:
  IPath

### getBasePath

org.eclipse.core.runtime.IPath getBasePath()
Return the base path of the includePath

Returns:
  IPath

### getFullIncludePath

org.eclipse.core.runtime.IPath getFullIncludePath()
Return the includePath with the base path.

### getBaseReference

org.eclipse.core.runtime.IPath getBaseReference()
Return the reference path

### isSystemInclude

boolean isSystemInclude()
Whether or not it a system include path

Returns:
  boolean

### getExclusionPatterns

org.eclipse.core.runtime.IPath[] getExclusionPatterns()
If isRecursive() is true, specify an exclude file patterns.

Returns:
  IPath

### fullExclusionPatternChars

char[][] fullExclusionPatternChars()
Returns a char based representation of the exclusions patterns full path.